### Hierarchy

- Subscription
  - InteractionSubscription

## Index

### Constructors

- constructor

### Properties

- behaviourBind
- callback
- header
- mqttSensorQueue
- renderer
- type

### Methods

- bind
- getTopic
- onMessage
- publish
- reception
- unsubscribe

## Constructors

### constructor

- new InteractionSubscription(header: QueueHeader, callback: QueueCallback, mqttSensorQueue: MqttSensorQueue, renderer: IRenderer): InteractionSubscription

- Overrides Subscription.constructor

  - Defined in lib/connection/InteractionSubscription.ts:13

  #### Parameters

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  - ##### mqttSensorQueue: MqttSensorQueue

  - ##### renderer: IRenderer

  #### Returns InteractionSubscription

## Properties

### behaviourBind

behaviourBind: Array<IBehaviour> = []

Inherited from Subscription.behaviourBind

- Defined in lib/connection/Subscription.ts:10

### callback

callback: QueueCallback

Inherited from Subscription.callback

- Defined in lib/connection/Subscription.ts:8

### header

header: QueueHeader

Inherited from Subscription.header

- Defined in lib/connection/Subscription.ts:7

### mqttSensorQueue

mqttSensorQueue: MqttSensorQueue

Inherited from Subscription.mqttSensorQueue

- Defined in lib/connection/Subscription.ts:9

### renderer

renderer: IRenderer

- Defined in lib/connection/InteractionSubscription.ts:13

### type

type: ConversationQueueType

Inherited from Subscription.type

- Defined in lib/connection/Subscription.ts:6

## Methods

### bind

- bind(behaviour: IBehaviour): void

- Inherited from Subscription.bind

  - Defined in lib/connection/Subscription.ts:42

  Binds the given IBehaviour to the Subscription.

  #### Parameters

  - ##### behaviour: IBehaviour

  #### Returns void

### getTopic

- getTopic(): string

- Inherited from Subscription.getTopic

  - Defined in lib/connection/Subscription.ts:52

  #### Returns string

### onMessage

- onMessage(message: object): void

- Overrides Subscription.onMessage

  - Defined in lib/connection/InteractionSubscription.ts:34

  #### Parameters

  - ##### message: object

  #### Returns void

### publish

- publish(payload: IEventPayload): void

- Inherited from Subscription.publish

  - Defined in lib/connection/Subscription.ts:34

  Sends the given message

  #### Parameters

  - ##### payload: IEventPayload

    the payload

  #### Returns void

### reception

- reception(attributes: object): void

- - Defined in lib/connection/InteractionSubscription.ts:26

  Initial request to make the system aware that the user is listening.

  #### Parameters

  - ##### attributes: object

  #### Returns void

### unsubscribe

- unsubscribe(): void

- Inherited from Subscription.unsubscribe

  - Defined in lib/connection/Subscription.ts:24

  Unsubscribes from the queue

  #### Returns void

Generated using TypeDoc